Bug 520795 - laptop fan doesn't work properly after resume from suspend to RAM
Summary: laptop fan doesn't work properly after resume from suspend to RAM
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-02 12:39 UTC by Jeff Guerdat
Modified: 2011-06-27 14:22 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 14:22:10 UTC


Attachments (Terms of Use)

Description Jeff Guerdat 2009-09-02 12:39:28 UTC
Description of problem:
Toshiba Satellite A105 with latest ACPI BIOS.  Suspend to RAM and resume works fine but heavy CPU loads cause the machine to power off due to excessive CPU heat - the fan doesn't increase with heat load.  I've taken the laptop apart and checked and cleaned (it wasn't very dirty at all in the first place).  Removed the heatsink, cleaned off old thermal compound and reinstalled with new compound properly applied.  No help.  Suspend to disk (hibernate) works fine - load the CPU and the fan compensates properly and no shutdown occurs.  If the CPU is ~50% or so, there's no problem.  CPU at 100% overheats.  The VM runs at about 50% when doing nothing but jumps to 100% when exercised.

I use a VirtualBox VM with XP which causes this overheating/shutdown very repeatably.

Version-Release number of selected component (if applicable):
All versions to date.  acpid-1.0.8-4.fc11.i586 is currently installed.

How reproducible:
Every time I run the VM for several minutes after a resume from RAM, especially when using Windows software.

Steps to Reproduce:
1.Suspend to RAM and resume
2.Start VirtualBox VM and use software that keeps the CPU at 100%
3.After several minutes, the machine powers down abruptly.
  
Actual results:
Unclean power off

Expected results:
Continued operation with fan increasing speed to compensate for heat load

Additional info:
It's like a sensor resets when brought out of hibernation but doesn't get reset when resuming from RAM.

Comment 2 Derrick 2010-03-26 13:14:36 UTC
I have a Dell Studio 1555, running Fedora 12 x64. I am a recent Ubuntu convert, and have really enjoyed Fedora 12. I can confirm this bug...My laptop runs for about 10-15 mins max after first boot, with the cooling fans never coming on. I installed gkrellm, and I watch my temp sensors. The laptop continues to heat and suddenly powers off. The fans never run. However, once I have to hard power on the machine..the bios recognizes the temp of the laptop and starts the cooling fans prior to boot of fedora 12. As I write this, my fans came on at boot, and have not turned off, running at super high speed..When I turned my machine back on, the Bios informed me that the machine had been cut off due to a critical thermal issue reaching 170 degrees F. When Fedora booted and gkrellm came up, the temp showed 180 degrees F. quickly cooling down due to the high speed of the cooling fan. My laptop has been on 10 mins now, and current temp is 156.2 degrees F. Can someone advise if this issue is being fixed? I never had this issue prior to running Fedora 12. Some additional information about this laptop...This laptop is dual boot Windows 7 x64, and Fedora 12. When running Windows 7 x64, the cooling fans operate normal, and the laptop never overheats, even after running all day long. When running fedora 12 x64, the laptop will overheat in less than 15 mins because the cooling fans never turn on. Here are additional laptop specs.

Intel Core 2 Duo T6600 2.20Ghz
4GB Ram
ATI Radeon Mobile M92 (Mobile Radeon 4500 Series)
500 GB 7200 RPM Hard Drive
Intel WIFI Link 5100

I commonly suspend my Fedora 12 session, and resume. I think this is the same issue I am having as well. I am a Dell Tech, and I thought I had an issue with my system board, my laptop is under warranty, and I replaced my system board and fan yesterday, so I can confirm this is not a hardware problem. I suspended my laptop last night, and resumed from suspend this morning, and in less than 10 mins the laptop overheated, and hard powered off.

Comment 3 Jeff Guerdat 2010-03-26 14:43:56 UTC
I never did get a resolution to this problem (as you can tell by the lack of activity or any official feedback).  I initially got past the problem with F11 by installing gkrellm to monitor temps but found that keeping gkrellm running "fixed" the overheating after resuming.  I could kill the process, suspend, resume and overheat so it was definitely related.  However, installing F12 has resulted in not needing this workaround, perhaps because I did a fresh install rather than an in-place update.

I find it interesting that F12 with or without gkrellm causes you problems.  This Toshiba seems to be an odd duck (are all relatively recent Toshibas like this?) in that temp monitoring, or maybe just sensor reading, is half-baked, as if they're not well understood.

It'd be nice if someone actually explained the issues, which seem to be laptop-specific for the most part...

Comment 4 Bug Zapper 2010-04-28 10:08:17 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Jeff Guerdat 2010-05-26 11:38:27 UTC
Well, this was working ok with F12 until recently.  Upgrading to F13 didn't help.  My workaround is to use gkrellm - as long as it's running, the fan will work properly

Comment 6 Bug Zapper 2011-06-02 17:46:58 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2011-06-27 14:22:10 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.